=== test/multi_type_vector/collection/CMakeLists.txt ===

add_subdirectory(aos)
add_subdirectory(soa)
