=== test/multi_type_vector/debug-util/CMakeLists.txt ===

add_subdirectory(soa)
